

-- 18-05-2017 ALTER TABLE DA PROPAGARE IN PRODUZIONE

ALTER TABLE INVOICE 
ADD COLUMN PDF BLOB NULL AFTER IDDSP,
ADD COLUMN REQUEST_ID VARCHAR(255) NULL AFTER PDF,
ADD COLUMN DATE_OF_PERTINENCE DATETIME NOT NULL AFTER REQUEST_ID;

ALTER TABLE INVOICE 
CHANGE COLUMN INVOICE_CODE CLIENT_ID INT(11) NOT NULL ,
ADD INDEX FK_CLIENT_ID_INVOICE_idx (CLIENT_ID ASC);
ALTER TABLE INVOICE 
ADD CONSTRAINT FK_CLIENT_ID_INVOICE
  FOREIGN KEY (CLIENT_ID)
  REFERENCES ANAG_CLIENT (ID_ANAG_CLIENT)
  ON DELETE NO ACTION
  ON UPDATE NO ACTION;
  
ALTER TABLE INVOICE 
ADD COLUMN INVOICE_CODE VARCHAR(100) NULL AFTER ID_INVOICE; 
ALTER TABLE INVOICE 
CHANGE COLUMN TOTAL_INVOICE TOTAL_INVOICE DECIMAL(34,20) NOT NULL ;

ALTER TABLE INVOICE 
ADD COLUMN INVOICE_TYPE VARCHAR(45) NOT NULL DEFAULT 'AUTOMATICA' COMMENT 'valori ammissibili: AUTOMATICA , ANTICIPO' AFTER DATE_OF_PERTINENCE;

ALTER TABLE INVOICE_ITEM 
ADD COLUMN TOTAL_ORIG_CURRENCY DECIMAL(34,20) NOT NULL AFTER NOTE,
ADD COLUMN ORIG_CURRENCY CHAR(3) NOT NULL AFTER TOTAL_ORIG_CURRENCY;

ALTER TABLE INVOICE_ITEM 
CHANGE COLUMN `TOTAL` `TOTAL` DECIMAL(34,20) NOT NULL ;


ALTER TABLE ITEM_INVOICE_REASON 
ADD COLUMN CONTO_SAP VARCHAR(45) NOT NULL AFTER DESCRIPTION;




INSERT INTO role_permission (`role`, `permission`) VALUES ('DEVELOPMENT', 'anagClient');
